﻿namespace DataAcquisitionSolution.DTO;

public class DevDbConfig<T>
{
    public DevDbConfig()
    {
    }

    public DevDbConfig(string? ip, T? code)
    {
        Ip = ip;
        Code = code;
    }

    public DevDbConfig(string? ip, List<DevInterval<T>>? devIntervalList)
    {
        Ip = ip;
        DevIntervalList = devIntervalList;
    }

    public DevDbConfig(string? ip, List<T>? devCodeList)
    {
        Ip = ip;
        DevCodeList = devCodeList;
    }

    public string? Ip { get; set; }

    public T? Code { get; set; }

    public T? StartCode { get; set; }

    public T? EndCode { get; set; }

    public List<T>? DevCodeList { get; set; }

    public List<DevInterval<T>>? DevIntervalList { get; set; }
}