﻿using System.Runtime.Serialization;

namespace DataAcquisitionSolution.DTO;

/// <summary>
///     DB块的数据
/// </summary>
[DataContract]
public class PlcDbInfo(ushort db, byte[]? content)
{
    /// <summary>
    ///     DB号
    /// </summary>
    [DataMember(Order = 0)]
    public ushort Db { get; set; } = db;

    /// <summary>
    ///     内容
    /// </summary>
    [DataMember(Order = 1)]
    public byte[]? Content { get; set; } = content;
}