﻿using System.Runtime.Serialization;

namespace DataAcquisitionSolution.Entity;

/// <summary>
///     PLC信息
/// </summary>
[DataContract]
public class PlcInfo
{
    /// <summary>
    ///     IP
    /// </summary>
    [DataMember(Order = 0)]
    public string Ip { get; set; } = string.Empty;

    /// <summary>
    ///     内容
    /// </summary>
    [DataMember(Order = 1)]
    public byte[] Content { get; set; } 

    /// <summary>
    ///     处理时间
    /// </summary>
    [DataMember(Order = 2)]
    public DateTime CreateTime { get; set; } = DateTime.Now;
}