﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;

namespace DataAcquisitionSolution.DTO
{
    /// <summary>
    ///  DB块信息
    /// </summary>
    public struct DbInfoDto()
    {
        /// <summary>
        ///  PLC信息
        /// </summary>
        public PLCInfo PlcInfo { get; set; } = default;

        /// <summary>
        /// DB块
        /// </summary>
        public ushort No { get; set; } = 0;

        /// <summary>
        ///  总长度
        /// </summary>
        public ushort Length { get; set; } = 0;

        public IPLCAccessor? Accessor { get; set; } = null;
    }
}
